<?php
/*
Plugin Name: Member Mambo VS
Plugin URI: https://membermambo.de
Description: Verkaufstemplate nur kompatibel mit dem MemberMambo Theme.
Author: Frank Noack
Author URI: https://membermambo.de
Version: 1.4
*/
require_once('wp-updates-plugin.php');
new WPUpdatesPluginUpdater_1890( 'http://wp-updates.com/api/2/plugin', plugin_basename(__FILE__));

define( 'MMVS_PLUGIN_PATH', plugin_dir_path( __FILE__ ) );
define( 'MMVS_PLUGIN_URL', plugin_dir_url( __FILE__ ) );

add_action( 'admin_enqueue_scripts', 'mmvs_admin_script' );
function mmvs_admin_script() {
    wp_enqueue_style( 'mmvs-template-admin-style', plugin_dir_url( __FILE__ ) .'/css/mmvs_template_admin.css');
    wp_enqueue_media();
	
	wp_enqueue_script( 'mmvs-template-admin-script', plugin_dir_url( __FILE__ ) .'/js/mmvs_template_admin.js');
}

function mmvs_custom_scripts(){
    wp_enqueue_style( 'vs-style-css',  plugin_dir_url( __FILE__ ) . '/css/vs-style.css' );
}
add_action( 'wp_enqueue_scripts', 'mmvs_custom_scripts');

include('class-vs_template.php');

add_action('add_meta_boxes', 'add_vs_template_meta');
function add_vs_template_meta()
{
    global $post;

    if(!empty($post))
    {
        $pageTemplate = get_post_meta($post->ID, '_wp_page_template', true);

        if($pageTemplate == 'page-vs-template.php' )
        {
            add_meta_box( 'vs-template-meta', __('VS Template Details', 'mm-vs-template'), 'vs_template_meta_box', 'page', 'normal', 'high' );
        }
    }
}

function vs_template_meta_box( $post) {
	$vs_page_headline = get_post_meta( $post->ID, 'vs_page_headline', true );
	$mmvs_price_text = get_post_meta( $post->ID, 'mmvs_price_text', true );
	$mmvs_price = get_post_meta( $post->ID, 'mmvs_price', true );
	$mmvs_desc = get_post_meta( $post->ID, 'mmvs_desc', true );
	$mmvs_trainer_desc = get_post_meta( $post->ID, 'mmvs_trainer_desc', true );
	$mmvs_trainer_images = get_post_meta( $post->ID, 'mmvs_trainer_images', true );
	$mmvs_course_details = get_post_meta( $post->ID, 'mmvs_course_details', true );
	$mmvs_btn_url = get_post_meta( $post->ID, 'mmvs_btn_url', true );
	$mmvs_course_details_headline = get_post_meta( $post->ID, 'mmvs_course_details_headline', true );
	$mmvs_trainer_img_headline = get_post_meta( $post->ID, 'mmvs_trainer_img_headline', true );
	$mmvs_video_titles = get_post_meta( $post->ID, 'mmvs_video_titles', true );
	$mmvs_video_id = get_post_meta( $post->ID, 'mmvs_video_id', true );
	$mmvs_video_poster = get_post_meta( $post->ID, 'mmvs_video_poster', true );
	$mmvs_video_hoster = get_post_meta( $post->ID, 'mmvs_video_hoster', true );
	$mmvs_video_autoplay = get_post_meta( $post->ID, 'mmvs_video_autoplay', true );
	$mmvs_video_privacy = get_post_meta( $post->ID, 'mmvs_video_privacy', true );
	$mmvs_video_title_headline = get_post_meta( $post->ID, 'mmvs_video_title_headline', true );
	$mmvs_btn_delay = get_post_meta( $post->ID, 'mmvs_btn_delay', true );
	$mmvs_countdown = get_post_meta( $post->ID, 'mmvs_countdown', true );
	$mmvs_social_counter = get_post_meta( $post->ID, 'mmvs_social_counter', true );
	$mmvs_fb_retargeting_code = get_post_meta( $post->ID, 'mmvs_fb_retargeting_code', true );
	$mmvs_exit_popup_heading1 = get_post_meta( $post->ID, 'mmvs_exit_popup_heading1', true );
	$mmvs_exit_popup_heading2 = get_post_meta( $post->ID, 'mmvs_exit_popup_heading2', true );
	$mmvs_exit_popup_btn_text = get_post_meta( $post->ID, 'mmvs_exit_popup_btn_text', true );
	$mmvs_exit_popup_btn_url = get_post_meta( $post->ID, 'mmvs_exit_popup_btn_url', true );
	$mmvs_exit_popup_onOff = get_post_meta( $post->ID, 'mmvs_exit_popup_onOff', true );
?>
	<style type="text/css">
		.postarea.wp-editor-expand{ display: none;}
	</style>
	<table class="widefat vs_template_table">
		<tbody class="">
			<tr>
				<td><strong><?php _e('Headline', 'mm-vs-template');?></strong></td>
				<td><input type="text" name="vs_page_headline" value="<?php echo $vs_page_headline;?>" /></td>
			</tr>
			<tr>
				<td><strong><?php _e('Kleiner Launch Text', 'mm-vs-template');?></strong></td>
				<td><input type="text" name="mmvs_price_text" value="<?php echo $mmvs_price_text;?>" /></td>
			</tr>
			<tr>
				<td><strong><?php _e('Preis', 'mm-vs-template');?></strong></td>
				<td><input type="text" name="mmvs_price" value="<?php echo $mmvs_price;?>" /></td>
			</tr>
			<tr>
				<td><strong><?php _e('Button URL', 'mm-vs-template');?></strong></td>
				<td><input type="text" name="mmvs_btn_url" value="<?php echo $mmvs_btn_url;?>" /></td>
			</tr>
			<tr>
				<td><strong><?php _e('Button Verzögerung', 'mm-vs-template');?></strong></td>
				<td><input style="width: 300px;" type="number" name="mmvs_btn_delay" value="<?php echo $mmvs_btn_delay;?>" /><span> <?php _e('Sekunden', 'mm-vs-template');?></span></td>
			</tr>
			<tr>
				<td><strong><?php _e('Digistore Countdown Code', 'mm-vs-template');?></strong></td>
				<td><textarea name="mmvs_countdown" rows="3"><?php echo $mmvs_countdown;?></textarea></td>
			</tr>
			<tr>
				<td><strong><?php _e('Social Proof Counter Code', 'mm-vs-template');?></strong></td>
				<td><textarea name="mmvs_social_counter" rows="3"><?php echo $mmvs_social_counter;?></textarea></td>
			</tr>
			<tr>
				<td><strong><?php _e('Video ID', 'mm-vs-template');?></strong></td>
				<td><input type="text" name="mmvs_video_id" value="<?php echo $mmvs_video_id;?>" /></td>
			</tr>
			<tr>
				<td><strong><?php _e('Video Poster', 'mm-vs-template');?></strong></td>
				<td><input type="text" name="mmvs_video_poster" value="<?php echo $mmvs_video_poster;?>" /></td>
			</tr>
			<tr>
				<td><strong><?php _e('Video Hoster', 'mm-vs-template');?></strong></td>
				<td><select name="mmvs_video_hoster" id=""><option value=""><?php _e('Wähle Video Hoster', 'mm-vs-template');?></option><option <?php selected( $mmvs_video_hoster, 'vimeo' ); ?> value="vimeo">Vimeo</option><option <?php selected( $mmvs_video_hoster, 'youtube' ); ?> value="youtube">Youtube</option></select></td>
			</tr>
			<!--<tr>
				<td><strong><?php _e('Video Autoplay?', 'mm-vs-template');?></strong></td>
				<td><input type="checkbox" name="mmvs_video_autoplay" value="yes" <?php checked( $mmvs_video_autoplay, 'yes' ); ?> /></td>
			</tr>-->
			<tr>
				<td><strong><?php _e('Video Privacy?', 'mm-vs-template');?></strong></td>
				<td><input type="checkbox" name="mmvs_video_privacy" value="yes" <?php checked( $mmvs_video_privacy, 'yes' ); ?> /></td>
			</tr>
			<tr>
				<td><strong><?php _e('Beschreibung', 'mm-vs-template');?></strong></td>
				<td><?php $rows = 5;
				$tinymce_settings = array(
					'textarea_rows' => $rows,
					'textarea_name' => 'mmvs_desc',
				);
				wp_editor( $mmvs_desc, 'mmvsdesc', $tinymce_settings );?></td>
			</tr>
			<!--<tr>
				<td><strong><?php _e('Trainer Image Headline', 'mm-vs-template');?></strong></td>
				<td><input type="text" name="mmvs_trainer_img_headline" value="<?php echo $mmvs_trainer_img_headline;?>" /></td>
			</tr>-->
			<tr>
				<td><strong><?php _e('Bilder Seitenleiste', 'mm-vs-template');?></strong></td>
				<td>
					<table class="widefat">
						<tbody class="mmvs_trainer_img_sortable">
						<?php
							if(!empty($mmvs_trainer_images)){
								foreach($mmvs_trainer_images as $mmvs_trainer_image){
								?>
							<tr data-serial="<?php echo $key;?>" class="ui-state-default">
								<td><span class="ui-icon ui-icon-arrowthick-2-n-s"></span></td>
								<td>
									<input type="text" value="<?php echo $mmvs_trainer_image;?>" id="" name="mmvs_trainer_images[]">
									<input style="width: auto;" class="mmvs_upload_btn button mmvs_trainer_image_trigger" type="button" id="" value="Upload">
								</td>
								<td style="text-align:center;"><a class="recipe_btn_remove remove_mmvs_trainer_img" href="#"></a></td>
							</tr>
							<?php
								}}
							?>
						</tbody>
						<tfoot>
							<tr><td colspan="5" style="text-align:right;"><a class="button button-primary button-large" id="add_mmvs_trainer_img" href="#"><?php _e('Bild hinzufügen', 'mm-vs-template');?></a></td></tr>
						</tfoot>
					</table>
				</td>
			</tr>
			<tr>
				<td><strong><?php _e('Headline für Details', 'mm-vs-template');?></strong></td>
				<td><input type="text" name="mmvs_course_details_headline" value="<?php echo $mmvs_course_details_headline;?>" /></td>
			</tr>
			<tr>
				<td><strong><?php _e('Produkt Details', 'mm-vs-template');?></strong></td>
				<td>
					<table class="widefat">
						<tbody class="mmvs_course_details_sortable">
						<?php
							if(!empty($mmvs_course_details)){
								foreach($mmvs_course_details as $key=>$val){
									$mmvs_course_details_arr = explode('|||', $val);
									$mmvs_course_detail_title = $mmvs_course_details_arr['0'];
									$mmvs_course_detail_desc = $mmvs_course_details_arr['1'];
								?>
							<tr data-serial="<?php echo $key;?>" class="ui-state-default">
								<td><span class="ui-icon ui-icon-arrowthick-2-n-s"></span></td>
								<td>
									<p><span><?php _e('Titel', 'mm-vs-template');?></span><input type="text" name="mmvs_course_detail_title[]" value="<?php echo $mmvs_course_detail_title;?>" /></p>
									<p><span><?php _e('Beschreibung', 'mm-vs-template');?></span><input type="text" name="mmvs_course_detail_desc[]" value="<?php echo $mmvs_course_detail_desc;?>" /></p>
								</td>
								<td style="text-align:center;"><a class="recipe_btn_remove remove_mmvs_course_link" href="#"></a></td>
							</tr>
							<?php
								}}
							?>
						</tbody>
						<tfoot>
							<tr><td colspan="5" style="text-align:right;"><a class="button button-primary button-large" id="add_mmvs_course_link" href="#"><?php _e('Detail hinzufügen', 'mm-vs-template');?></a></td></tr>
						</tfoot>
					</table>
				</td>
			</tr>
			<tr>
				<td><strong><?php _e('Produkt Highlight Headline', 'mm-vs-template');?></strong></td>
				<td><input type="text" name="mmvs_video_title_headline" value="<?php echo $mmvs_video_title_headline;?>" /></td>
			</tr>
			<tr>
				<td><strong><?php _e('Highlights', 'mm-vs-template');?></strong></td>
				<td>
					<table class="widefat">
						<tbody class="mmvs_video_title_sortable">
						<?php
							if(!empty($mmvs_video_titles)){
								foreach($mmvs_video_titles as $mmvs_video_title){
								?>
							<tr data-serial="<?php echo $key;?>" class="ui-state-default">
								<td><span class="ui-icon ui-icon-arrowthick-2-n-s"></span></td>
								<td>
									<p><span><?php _e('Titel', 'mm-vs-template');?></span><input type="text" name="mmvs_video_titles[]" value="<?php echo $mmvs_video_title;?>" /></p>
								</td>
								<td style="text-align:center;"><a class="recipe_btn_remove remove_mmvs_video_title" href="#"></a></td>
							</tr>
							<?php
								}}
							?>
						</tbody>
						<tfoot>
							<tr><td colspan="5" style="text-align:right;"><a class="button button-primary button-large" id="add_mmvs_video_title" href="#"><?php _e('Highlight hinzufügen', 'mm-vs-template');?></a></td></tr>
						</tfoot>
					</table>
				</td>
			</tr>
			
			<tr>
				<td><strong><?php _e('Exit Popup', 'mm-vs-template');?></strong></td>
				<td><label for="" class="mmvs_radio_label"><input type="radio" name="mmvs_exit_popup_onOff" <?php checked( $mmvs_exit_popup_onOff, 'on' ); ?> value="on" />On</label> <label for="" class="mmvs_radio_label"><input type="radio" name="mmvs_exit_popup_onOff" <?php checked( $mmvs_exit_popup_onOff, 'off' ); ?> value="off" />Off</label></td>
			</tr>
			<tr class="exit_popup_tr <?php if($mmvs_exit_popup_onOff == 'on') echo 'exit_popup_tr_show';?>">
				<td><strong><?php _e('Exit Popup Headline 1', 'mm-vs-template');?></strong></td>
				<td><input type="text" name="mmvs_exit_popup_heading1" value="<?php echo $mmvs_exit_popup_heading1;?>" /></td>
			</tr>
			<tr class="exit_popup_tr <?php if($mmvs_exit_popup_onOff == 'on') echo 'exit_popup_tr_show';?>">
				<td><strong><?php _e('Exit Popup Headline 2', 'mm-vs-template');?></strong></td>
				<td><input type="text" name="mmvs_exit_popup_heading2" value="<?php echo $mmvs_exit_popup_heading2;?>" /></td>
			</tr>
			<tr class="exit_popup_tr <?php if($mmvs_exit_popup_onOff == 'on') echo 'exit_popup_tr_show';?>">
				<td><strong><?php _e('Exit Popup Button Text', 'mm-vs-template');?></strong></td>
				<td><input type="text" name="mmvs_exit_popup_btn_text" value="<?php echo $mmvs_exit_popup_btn_text;?>" /></td>
			</tr>
			<tr class="exit_popup_tr <?php if($mmvs_exit_popup_onOff == 'on') echo 'exit_popup_tr_show';?>">
				<td><strong><?php _e('Exit Popup Button URL', 'mm-vs-template');?></strong></td>
				<td><input type="text" name="mmvs_exit_popup_btn_url" value="<?php echo $mmvs_exit_popup_btn_url;?>" /></td>
			</tr>
			
			<!--<tr>
				<td><strong><?php _e('Facebook Pixel', 'mm-vs-template');?></strong></td>
				<td>
					<textarea name="mmvs_fb_retargeting_code" rows="3"><?php echo $mmvs_fb_retargeting_code;?></textarea>
					<div>
						<p>DSGVO Hinweis zum Facebook Pixel Code</p>
						<p>Es gibt 2 Anwendungsfälle:</p>
						<p>1. Bei der normalen Nutzung des Facebook Pixel muss dem Besucher Ihrer Webseite zwingend ein Opt-Out in der Datenschutzerklärung angeboten werden. Achtung: Ein Verweis auf die <a href="https://www.facebook.com/ads/preferences/?entry_product=ad_settings_screen" title="Facebook-Settings" target="_blank">Facebook-Settings</a> reicht für einen Opt-Out nicht aus.</p>
						<p>2. Wenn Sie eine Custom Audience oder Facebook Lookalike-Audience nutzen (erweiterter Abgleich) müssen Sie von den Besuchern Ihrer Webseite zusätzlich eine Einwilligung (Opt-In) einholen und gleichzeit eine Opt-Out Möglichkeit in der Datenschutzerklärung anbieten.</p>
						<p>Für beide Fälle ist das Plugin <a href="https://a.paddle.com/v2/click/30363/31170?link=791" title="Borlabs Cookie" target="_blank">Borlabs Cookie</a> bestens geeignet.</p>
						<p>Informationen zum normalen und erweiterten Abgleich in unserem <a href="https://webmasteruni.de/umsetzung-der-datenschutz-grundverordnung-dsgvo-mit-wordpress/" title="DSGVO Video Kurs" target="_blank">DSGVO Video Kurs</a>.</p>
					</div>
				</td>
			</tr>-->
		</tbody>
	</table>	
<script type="text/javascript">
jQuery(document).ready(function() {
    jQuery('input[type=radio][name=mmvs_exit_popup_onOff]').change(function() {
        if (this.value == 'on') {
            jQuery('.exit_popup_tr').slideDown();
        }
        else if (this.value == 'off') {
            jQuery('.exit_popup_tr').slideUp();
        }
    });
});
</script>
<?php	
}

add_action( 'save_post', 'vs_template_save_meta_box' );
function vs_template_save_meta_box( $post_id ) {
	if (wp_verify_nonce($_POST['_inline_edit'], 'inlineeditnonce')) return;
	
	$pageTemplate = get_post_meta($post_id, '_wp_page_template', true);

	if($pageTemplate == 'page-vs-template.php' ){
		update_post_meta( $post_id, 'vs_page_headline',  $_POST['vs_page_headline'] );
		update_post_meta( $post_id, 'mmvs_price_text',  $_POST['mmvs_price_text'] );
		update_post_meta( $post_id, 'mmvs_price',  $_POST['mmvs_price'] );
		update_post_meta( $post_id, 'mmvs_desc',  $_POST['mmvs_desc'] );
		update_post_meta( $post_id, 'mmvs_trainer_image',  $_POST['mmvs_trainer_image'] );
		update_post_meta( $post_id, 'mmvs_btn_url',  $_POST['mmvs_btn_url'] );
		update_post_meta( $post_id, 'mmvs_course_details_headline',  $_POST['mmvs_course_details_headline'] );
		update_post_meta( $post_id, 'mmvs_trainer_img_headline',  $_POST['mmvs_trainer_img_headline'] );
		update_post_meta( $post_id, 'mmvs_video_id',  $_POST['mmvs_video_id'] );
		update_post_meta( $post_id, 'mmvs_video_poster',  $_POST['mmvs_video_poster'] );
		update_post_meta( $post_id, 'mmvs_video_hoster',  $_POST['mmvs_video_hoster'] );
		update_post_meta( $post_id, 'mmvs_video_autoplay',  $_POST['mmvs_video_autoplay'] );
		update_post_meta( $post_id, 'mmvs_video_privacy',  $_POST['mmvs_video_privacy'] );
		update_post_meta( $post_id, 'mmvs_video_title_headline',  $_POST['mmvs_video_title_headline'] );
		update_post_meta( $post_id, 'mmvs_btn_delay',  $_POST['mmvs_btn_delay'] );
		update_post_meta( $post_id, 'mmvs_countdown',  $_POST['mmvs_countdown'] );
		update_post_meta( $post_id, 'mmvs_social_counter',  $_POST['mmvs_social_counter'] );
		update_post_meta( $post_id, 'mmvs_fb_retargeting_code',  $_POST['mmvs_fb_retargeting_code'] );
		update_post_meta( $post_id, 'mmvs_exit_popup_heading1',  $_POST['mmvs_exit_popup_heading1'] );
		update_post_meta( $post_id, 'mmvs_exit_popup_heading2',  $_POST['mmvs_exit_popup_heading2'] );
		update_post_meta( $post_id, 'mmvs_exit_popup_btn_text',  $_POST['mmvs_exit_popup_btn_text'] );
		update_post_meta( $post_id, 'mmvs_exit_popup_btn_url',  $_POST['mmvs_exit_popup_btn_url'] );
		update_post_meta( $post_id, 'mmvs_exit_popup_onOff',  $_POST['mmvs_exit_popup_onOff'] );
		
		// course details fields
		$mmvs_course_details = array();
		$mmvs_course_detail_title = $_POST['mmvs_course_detail_title'];
		$mmvs_course_detail_desc = $_POST['mmvs_course_detail_desc'];
		
		if(!empty($mmvs_course_detail_title)){
			foreach($mmvs_course_detail_title as $key=>$val){
				$mmvs_course_details[] = $val.'|||'.$mmvs_course_detail_desc[$key];
			}
			update_post_meta( $post_id, 'mmvs_course_details',  $mmvs_course_details );
		}
		else{
			update_post_meta( $post_id, 'mmvs_course_details',  '' );
		}
		if(!empty($_POST['mmvs_video_titles'])){
			update_post_meta( $post_id, 'mmvs_video_titles',  $_POST['mmvs_video_titles'] );
		}
		else{
			update_post_meta( $post_id, 'mmvs_video_titles',  '' );
		}
		if(!empty($_POST['mmvs_trainer_images'])){
			update_post_meta( $post_id, 'mmvs_trainer_images',  $_POST['mmvs_trainer_images'] );
		}
		else{
			update_post_meta( $post_id, 'mmvs_trainer_images',  '' );
		}
	}
	
}
	
	// facebook retargeting code
function fb_rc_javascript() {
	global $post;
	$mmvs_fb_retargeting_code = get_post_meta( $post->ID, 'mmvs_fb_retargeting_code', true );
	if($mmvs_fb_retargeting_code != ''){
    ?>
        <script>
            <?php echo $mmvs_fb_retargeting_code;?>
        </script>
    <?php
	}?>
<script type="text/javascript">
jQuery(document).ready(function(){
	jQuery('.mmvs_default_play_btn a').click(function(e){
		e.preventDefault();
		
		var url = window.location.href; 
		var url_to_load = '';
		
		if (url.indexOf('?') == -1) {
		   url_to_load = url+'?vcookie=yes';
		}
		else{
			url_to_load = url+'&vcookie=yes';
		}
		window.location.href = url_to_load;
	});	
})
</script>	
<?php
}
add_action('wp_head', 'fb_rc_javascript');

?>